Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2011-3326

Overview

Vulnerability Score 5.0 5.0
CVE Id CVE-2011-3326
Last Modified 06 Nov 2012 12:00:58
Published 10 Oct 2011 06:55:06
Confidentiality Impact NONE NONE
Integrity Impact NONE NONE
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2011-3326

Summary

The ospf_flood function in ospf_flood.c in ospfd in Quagga before 0.99.19 allows remote attackers to cause a denial of service (daemon crash) via an invalid Link State Advertisement (LSA) type in an IPv4 Link State Update message.

Vulnerable Systems

Application

  • Quagga 0.95

  • Quagga 0.96

  • Quagga 0.96.1

  • Quagga 0.96.2

  • Quagga 0.96.3

  • Quagga 0.96.4

  • Quagga 0.96.5

  • Quagga 0.97.0

  • Quagga 0.97.1

  • Quagga 0.97.2

  • Quagga 0.97.3

  • Quagga 0.97.4

  • Quagga 0.97.5

  • Quagga 0.98.0

  • Quagga 0.98.1

  • Quagga 0.98.2

  • Quagga 0.98.3

  • Quagga 0.98.4

  • Quagga 0.98.5

  • Quagga 0.98.6

  • Quagga 0.99.1

  • Quagga 0.99.10

  • Quagga 0.99.11

  • Quagga 0.99.12

  • Quagga 0.99.13

  • Quagga 0.99.14

  • Quagga 0.99.15

  • Quagga 0.99.16

  • Quagga 0.99.17

  • Quagga 0.99.18

  • Quagga 0.99.2

  • Quagga 0.99.3

  • Quagga 0.99.4

  • Quagga 0.99.5

  • Quagga 0.99.6

  • Quagga 0.99.7

  • Quagga 0.99.8

  • Quagga 0.99.9


References

CERT-VN - VU#668534

CONFIRM - http://code.quagga.net/?p=quagga.git;a=commit;h=6b161fc12a15aba8824c84d1eb38e529aaf70769

MISC - https://www.cert.fi/en/reports/2011/vulnerability539178.html

CONFIRM - http://www.quagga.net/download/quagga-0.99.19.changelog.txt

DEBIAN - DSA-2316

SECUNIA - 46274

SECUNIA - 46139

SUSE - SUSE-SU-2011:1171

SUSE - openSUSE-SU-2011:1155

SUSE - SUSE-SU-2011:1075

SUSE - SUSE-SU-2011:1316

REDHAT - RHSA-2012:1258

REDHAT - RHSA-2012:1259

Related Patches

Red Hat 2012:1258-01 RHSA Moderate: quagga security update for RHEL 5 x86


Last Updated: 27 May 2016 10:57:21